<?php
/**
 * Thor base inclusion file.
 * This file brings in all of the dependencies that every Thor
 * script will need and sets up objects that all scripts use.
 *
 * $Horde: thor/lib/base.php,v 1.21 2005/01/03 14:35:34 jan Exp $
 *
 * Copyright 2003-2005 Carlos Pedrinaci <cpedrinaci@yahoo.es>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('thor', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('THOR_TEMPLATES', $registry->get('templates'));

// Notification sytem.
$notification = &Notification::singleton();
$notification->attach('status');

// Find the base file path of Thor.
@define('THOR_BASE', dirname(__FILE__) . '/..');
@define('THOR_LIBS', THOR_BASE . '/lib');

// Form libraries.
require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';

// Thor base libraries.
require_once THOR_BASE . '/lib/Thor.php';
require_once THOR_BASE . '/lib/Project.php';
require_once THOR_BASE . '/lib/Item.php';

$thor = &Thor::singleton();

// Horde libraries.
require_once 'Horde/Text/Filter.php';
require_once 'Horde/Text/Filter/bbcode.php';
require_once 'Horde/Help.php';

// Set the timezone variable, if available.
NLS::setTimeZone();
